::-webkit-scrollbar {
	width: 6px;
	height: 6px;
	background-color: #f5f5f5;
}

::-webkit-scrollbar-track {
	border-radius: 6px;
	background-color: #f5f5f5;
}

::-webkit-scrollbar-thumb {
	border-radius: 6px;
	background-color: rgb(149, 147, 147);
}

* {
    scrollbar-width: thin;
    /*scrollbar-color: #f33 green;*/
}

@media ( max-width : 768px) {
	::-webkit-scrollbar {
		all: unset;
	}
	
	::-webkit-scrollbar-track {
		all: unset;
	}
	
	::-webkit-scrollbar-thumb {
		all: unset;
	}
	
	* {
    	scrollbar-width: thin;
	}
}

body {
	font-family: "open sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-size: 12px;
	color: #676a6c; 
	background-color: transparent;
}

/* BACKGROUNDS */
.none-bg {
    background-color: transparent;
}

.gray-bg {
    background-color: #f3f3f4;
}

.white-bg {
    background-color: #ffffff;
}

.navy-bg {
    background-color: #1ab394;
    color: #ffffff;
}

.blue-bg {
    background-color: #1c84c6;
    color: #ffffff;
}

.lazur-bg {
    background-color: #23c6c8;
    color: #ffffff;
}

.yellow-bg {
    background-color: #f8ac59;
    color: #ffffff;
}

.red-bg {
    background-color: #ed5565;
    color: #ffffff;
}

.black-bg {
    background-color: #262626;
}

.text-ellipsis {
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1; /* 限制在一个块元素显示的文本的行数 */
    -webkit-box-orient: vertical; /* 垂直排列 */
    word-break: break-all;  /* 内容自动换行 */
}

.word-break-normal {
	word-break: normal;
	word-wrap: normal;
}

.word-break-keepall {
	word-break: keep-all;
	word-wrap: keep-all;
}
		
.word-break-breakall {
	word-break: break-all;
	word-wrap: break-all;
}

/** 复选框&单选框  **/
.check-box,.radio-box {
	display: inline-block;
	box-sizing: border-box;
	cursor: pointer;
	position: relative;
	margin: 5px;
}

.wrapper-listview {
	position: relative;
	padding: 10px 10px;
	/*height: 100%;*/
	min-height: 100%;
	min-width: 1080px;	
	display: flex; 
	flex-direction: column;
	font-size: 12px;
	color: #676a6c;
	background-color: transparent;
	overflow-x: hidden;
	overflow-y: hidden;
}

.wrapper-listview .wrapper-search, 
.wrapper-listview .wrapper-table {
	width: 100%;
	/*min-width: 1000px;*/
	background: #fff;
	border-radius: 6px;
	padding: 5px 10px 5px 10px;
	box-shadow: 1px 1px 3px rgba(0,0,0,.2);
}

@media (max-width: 767px) {
	.wrapper-listview .columns.hidden-xs {
		display: block !important;
	}
}

.wrapper-listview .wrapper-search {
	position: relative;
	margin-bottom: 10px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li {
	float:left;
	list-style: none;
	color: #333;
	margin: 5px 5px 5px 0px;
}

@media ( max-width : 768px) {
	.wrapper-listview .wrapper-search .searchbox > ul > li {
		/*min-width: 200px;*/
	}
}

.wrapper-listview .wrapper-search .searchbox > ul > li > label {
	float:left;
	font-weight: normal;
	margin: 5px;
}

.wrapper-listview .toolbar-search .searchbox > ul > li {
	float:left;
	list-style: none;
	color: #333;
	margin: 5px 5px 5px 0px;
}

@media ( max-width : 768px) {
	.wrapper-listview .toolbar-search .searchbox > ul > li {
		/*min-width: 200px;*/
	}
}

.wrapper-listview .toolbar-search .searchbox > ul > li > label {
	float:left;
	font-weight: normal;
	margin: 5px 0px 5px 5px
}

.wrapper-listview .wrapper-search .searchbox > ul > li > div,
.wrapper-listview .toolbar-search .searchbox > ul > li > div {
	float: left;
}

.wrapper-listview .wrapper-search .searchbox > ul > li input,
.wrapper-listview .toolbar-search .searchbox > ul > li input {
	border: 1px solid #ddd;
	border-radius: 4px;
	background: transparent;
	outline: none;
	height: 30px;
	width: 100px;
	min-width: 80px;
	padding-left: 5px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li > div[style] input,
.wrapper-listview .toolbar-search .searchbox > ul > li > div[style] input {
	width : 100%;
	min-width: 80px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li input[type="checkbox"],
.wrapper-listview .toolbar-search .searchbox > ul > li input[type="checkbox"] {
	border: 1px solid #ddd;
	border-radius: 0px;
	background: transparent;
	outline: none;
	height: 30px;
	width: auto;
	min-width: 0px;
	margin: 3px 0px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li select,
.wrapper-listview .toolbar-search .searchbox > ul > li select {
	border: 1px solid #ddd;
	border-radius: 4px;
	background: transparent;
	outline: none;
	height: 30px;
	width : 100px;
	min-width: 80px;
	padding-left: 5px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li > div[style] select,
.wrapper-listview .toolbar-search .searchbox > ul > li > div[style] select {
	width : 100%;
	min-width: 80px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .select2,
.wrapper-listview .toolbar-search .searchbox > ul > li .select2 {
	height: 30px;
	width : 165px;
	min-width: 165px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li > div[style] .select2,
.wrapper-listview .toolbar-search .searchbox > ul > li > div[style] .select2 {
	width : 100%;
	min-width: 165px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect__control,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect__control {
	border: 1px solid #ddd;
	border-radius: 4px;
	padding-left: 1px;
	padding-right: 1px;
	height: 30px;
	width : 165px;
	min-width: 165px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li > div[style] .vue-treeselect__control,
.wrapper-listview .toolbar-search .searchbox > ul > li > div[style] .vue-treeselect__control {
	width : 100%;
	min-width: 165px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li input.vue-treeselect__input,
.wrapper-listview .toolbar-search .searchbox > ul > li input.vue-treeselect__input {
	border: 0px;
	height: auto;
	padding-left: 0px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect__list,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect__list {
	margin-left: -5px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect__label ,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect__label {
	font-weight: 400;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect__placeholder ,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect__placeholder {
	line-height: 30px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect__x-container ,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect__x-container {
	width: 12px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect__control-arrow-container ,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect__control-arrow-container {
	width: 16px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect__single-value ,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect__single-value {
	line-height: 30px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect--has-value .vue-treeselect__multi-value ,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect--has-value .vue-treeselect__multi-value {
	margin-bottom: 3px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .vue-treeselect--focused:not(.vue-treeselect--open) .vue-treeselect__control,
.wrapper-listview .toolbar-search .searchbox > ul > li .vue-treeselect--focused:not(.vue-treeselect--open) .vue-treeselect__control {
  border-color: #cfcfcf;
  box-shadow: none;
}

.wrapper-listview .toolbar-search .searchbox > ul > li .bootstrap-select {
	min-width: 165px;
	height: 30px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
	height: 30px;
	width: 165px;
}

.wrapper-listview .wrapper-search .searchbox > ul > li .select-time input {
	width: 80px;
}

.wrapper-listview .wrapper-table {
	flex-grow: 1;
	flex-shrink: 1;
	font-size: 12px;
	color: #676a6c;
}

.wrapper-listview .wrapper-table .fixed-table-container .fixed-table-body {
	min-width: 768px;
}

.wrapper-content {
	position: relative;
	padding: 15px 15px;
	padding-right: 50px;
	/*height: 100%;*/
	min-height: 100%;
	word-break:break-all;
	word-wrap:break-all;
	overflow-x: auto;
	overflow-y: auto;
	background-color: #ffffff;
}

@media ( max-width : 768px) {
	.wrapper-content {
		padding: 10px 10px;
		padding-right: 10px;
	}
}

.wrapper-content fieldset {
	padding: 0px;
	margin: 0px;
}

.wrapper-content legend {
	font-size: 13px;
}

.wrapper-content .form-group label {
	font-size: inherit;
	font-weight: normal;
	color: #676a6c;
}

.wrapper-content .form-group label.error {
	position:inherit; 
	color:#f00;
}

.wrapper-content .form-group span.required {
	position:inherit; 
	font-weight:bold;
	color:#f00;
}

.wrapper-content .form-group .control-label {
	font-size: inherit;
	font-weight: normal;
}

.wrapper-content .form-group .form-control {
	font-size: inherit;
	font-weight: normal;
}

.wrapper-content .form-group .form-control-static {
	font-size: inherit;
	font-weight: normal;
	min-height: 30px;
	padding-top: 7px;
	padding-bottom: 7px;
	margin-bottom: 0;
}

.wrapper-content .form-group .form-control[readonly] {
	/*background-color: rgba(238, 238, 238, 0);*/
	background-color: transparent;
	opacity: 1;
}

.wrapper-content .form-group input[type="checkbox"] {
	margin: 3px 0px;
}

/*修复 bootstrap-table btn CSS冲突*/
.wrapper-table .bootstrap-table .btn-default,.wrapper-table .bootstrap-table .btn-secondary {
  background-color: transparent;
  color: #444;
  border-color: #ddd;
}

.wrapper-table .bootstrap-table .btn-default:hover,
.wrapper-table .bootstrap-table .btn-default:active,
.wrapper-table .bootstrap-table .btn-default.hover {
  background-color: #e7e7e7;
}

/*调整 bootstrap-table风格*/
.wrapper-table .bootstrap-table table {
	border-bottom: 1px solid #e7eaec !important;
	background-color: transparent;
	border: 0px;
}

.wrapper-table .bootstrap-table table > thead {
	background-color: #eff3f8;
}

.wrapper-table .bootstrap-table table > thead > tr > th,
.wrapper-table .bootstrap-table table > tbody > tr > th, 
.wrapper-table .bootstrap-table table > tfoot > tr > th {
	border-bottom: 1px solid #ccc !important;
	border-top: 0px !important;
}

.wrapper-table .bootstrap-table table > thead > tr > td, 
.wrapper-table .bootstrap-table table > tbody > tr > td,
.wrapper-table .bootstrap-table table > tfoot > tr > td {
	border-bottom: 1px solid #e7eaec !important;
	background-color: transparent;
	border: 0px;
}

.wrapper-table .bootstrap-table table.table-condensed > thead th .th-inner {
	padding: 0px !important;
}

.wrapper-table .bootstrap-table table.table-condensed > tbody > tr > td, 
.wrapper-table .bootstrap-table table.table-condensed > tbody > tr > th, 
.wrapper-table .bootstrap-table table.table-condensed > tfoot > tr > td, 
.wrapper-table .bootstrap-table table.table-condensed > tfoot > tr > th, 
.wrapper-table .bootstrap-table table.table-condensed > thead > tr > td, 
.wrapper-table .bootstrap-table table.table-condensed > thead > tr > th {
	padding: 5px 3px!important;
}

.wrapper-table .bootstrap-table .fixed-table-toolbar {
	background-color: #FFFFFF;
	border-bottom: 1px solid #eff3f8 !important;
}

.wrapper-table .bootstrap-table .fixed-table-toolbar .bs-bars, 
.wrapper-table .bootstrap-table .fixed-table-toolbar .columns, 
.wrapper-table .bootstrap-table .fixed-table-toolbar .search {
	position: relative;
	margin-top: 5px !important;
	margin-bottom: 5px !important;
}

.wrapper-table .bootstrap-table .fixed-table-pagination > .pagination, 
.wrapper-table .bootstrap-table .fixed-table-pagination > .pagination-detail {
	margin-top: 5px !important;
	margin-bottom: 0px !important;
}

.wrapper-table .bootstrap-table .fixed-table-container .table thead th .sortable {
	cursor: pointer;
	background-position: right;
	background-repeat: no-repeat;
	padding-right: 20px !important;
}

.wrapper-table .bootstrap-table .fixed-table-container {
	overflow:visible !important;
}

.wrapper-table .bootstrap-table .fixed-table-container .fixed-table-body {
    overflow:visible !important;
}

/** 表格树样式 **/
.bootstrap-tree-table .treetable-indent {width:16px; height: 16px; display: inline-block; position: relative;}
.bootstrap-tree-table .treetable-expander {width:16px; height: 16px; display: inline-block; position: relative; cursor: pointer;}
.bootstrap-tree-table .treetable-selected{background: #f5f5f5 !important;}
.bootstrap-tree-table .treetable-table{border:0 !important;margin-bottom:0}
.bootstrap-tree-table .treetable-table tbody {display:block;height:auto;overflow-y:auto;}
.bootstrap-tree-table .treetable-table thead, .treetable-table tbody tr {display:table;width:100%;table-layout:fixed;}
.bootstrap-tree-table .treetable-thead th{line-height:24px;border: 0 !important;border-radius: 4px;border-left:0px solid #e7eaec !important;border-bottom:1px solid #ccc!important;text-align: left;}
.bootstrap-tree-table .treetable-thead tr :first-child{border-left:0 !important}
.bootstrap-tree-table .treetable-tbody td{overflow:hidden;border: 0 !important;border-left:0px solid #e7eaec !important;border-bottom:1px solid #e7eaec!important;white-space: nowrap; text-overflow: ellipsis;}
.bootstrap-tree-table .treetable-tbody tr :first-child{border-left:0 !important}
.bootstrap-tree-table .treetable-bars .tool-left, .bootstrap-tree-table .treetable-bars .tool-right{margin-top: 10px; margin-bottom: 10px;}
.bootstrap-tree-table .treetable-bars .tool-left{float: left;}
.bootstrap-tree-table .treetable-bars .tool-right{float: right;}
.bootstrap-tree-table .treetable-bars .columns li label{display: block;padding: 3px 20px;clear: both;font-weight: 400;line-height: 1.428571429;max-width: 100%;margin-bottom: 5px;cursor:pointer;}
.bootstrap-tree-table .table{border-bottom: 0px solid #e7eaec!important;}

.select2-container--bootstrap .select2-selection--multiple .select2-selection__rendered > * {
	height: 18px; overflow-y: hidden;
}

.layui-layer .layui-layer-content {
	margin-top: -1px;
	border-bottom: 1px solid #eee;
}

.ui-layout-container .ui-layout-resizer {
	background: #fafafa;
	border-left: 1px solid #eee;
	border-right: 1px solid #eee;
}

.box-main {
	margin: 0;
	border: 0;
	padding-top: 2px;
	border-radius: 0;
	box-shadow: none
}

.box-main>.box-header {
	border-bottom: 1px solid #eee;
	padding: 0px
}

.box-main>.box-header .box-title {
	display: inline-block;
	font-size: 14px;
	margin: 0;
	padding: 6px;
	line-height: 1;
}

.box-main>.box-header .box-title .fa {
	font-size: 14px;
	color: #000;
	padding-left: 10px;
}

.box-main>.box-header .box-tools {
	position: relative;
	right: 0;
	margin: 0;
}

.box-main>.box-header .box-tools > ul > li {
	float: left;
}

.box-main>.box-header .box-tools .btn {
	padding: 5px;
	font-size: 14px;
	color: #000;
}

.box-main>.box-header .box-tools .dropdown-menu {
	z-index: 99999999 !important;
	right: 3px;
	left: auto;
	margin: 1px 0 0;
	min-width: 80px;
}

.box-main>.box-header .box-tools .dropdown-menu > li > a{
	padding: 3px 10px;
}

.box-main>.box-header .box-tools .btn-box-tool {
	padding: 4px 2px
}

.box-main form>.box-footer,.nav-main form>.box-footer {
	background: #fafafa
}

.box-main form>.box-footer .row,.nav-main form>.box-footer .row {
	margin: 5px 0 5px -25px
}

.btn-add {
  color: #fff;
  background-color: #00a65a;
  border-color: #008d4c;
}
.btn-add:hover,
.btn-add:active,
.btn-add.hover {
  background-color: #008d4c;
}

.btn-copy {
  color: #fff;
  background-color: #00c0ef;
  border-color: #00acd6;
}
.btn-copy:hover,
.btn-copy:active,
.btn-copy.hover {
  background-color: #00acd6;
}

.btn-edit {
  color: #fff;
  background-color: #3c8dbc;
  border-color: #367fa9;
}
.btn-edit:hover,
.btn-edit:active,
.btn-edit.hover {
  background-color: #367fa9;
}

.btn-remove {
  color: #fff;
  background-color: #dd4b39;
  border-color: #d73925;
}
.btn-remove:hover,
.btn-remove:active,
.btn-remove.hover {
  background-color: #d73925;
}
.btn-export {
  color: #fff;
  background-color: #f39c12;
  border-color: #e08e0b;
}
.btn-export:hover,
.btn-export:active,
.btn-export.hover {
  background-color: #e08e0b;
}
